Bug 692356 - Crash in DrawableGone [@ switch_to at lnx_init.c]
Summary: Crash in DrawableGone [@ switch_to at lnx_init.c]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-31 06:31 UTC by ritz
Modified: 2011-05-06 02:48 UTC (History)
1 user (show)

Fixed In Version: xorg-x11-server-1.10.1-14.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-06 02:48:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 660152 None None None Never

Description ritz 2011-03-31 06:31:13 UTC
Description of problem:
Xorg crashed

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.10.0-3.fc15

How reproducible:
frequently

Steps to Reproduce:
1. Trying searching for desktop ( gnome-shell ), or playing games.


Additional info:
time: 1301381203
executable: /usr/bin/Xorg
cmdline: /usr/bin/Xorg :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-Ko0ZP8/database -nolisten tcp
hostname: localhost.localdomain
component: xorg-x11-server
architecture: x86_64
global_uuid: 8915131ae714044ae9007eeb1230301cefd45dc5
coredump: ./coredump
crash_function: OsAbort
kernel: 2.6.38.1-6.fc15.x86_64
analyzer: CCpp
reason: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
uid: 0
release: Fedora release 15 (Lovelock)
rating: 4
package: xorg-x11-server-Xorg-1.10.0-3.fc15

event_log
-----
2011-03-31-11:37:23> Certificate is signed by an untrusted issuer: 'E=mtoman@redhat.com,CN=retrace01.fedoraproject.org,OU=BaseOS,O=Red Hat,L=Brno,C=CZ'.
...
2011-03-31-11:53:41  Certificate is signed by an untrusted issuer: 'E=mtoman@redhat.com,CN=retrace01.fedoraproject.org,OU=BaseOS,O=Red Hat,L=Brno,C=CZ'.
2011-03-31-11:53:53  PENDING
2011-03-31-11:53:53  Certificate is signed by an untrusted issuer: 'E=mtoman@redhat.com,CN=retrace01.fedoraproject.org,OU=BaseOS,O=Red Hat,L=Brno,C=CZ'.
2011-03-31-11:53:55  FINISHED_SUCCESS
2011-03-31-11:53:55  Certificate is signed by an untrusted issuer: 'E=mtoman@redhat.com,CN=retrace01.fedoraproject.org,OU=BaseOS,O=Red Hat,L=Brno,C=CZ'.
2011-03-31-11:53:56> (exited with 0)

backtrace
-----
Missing separate debuginfo for 
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/42/340c36e0e417f0a9670ada30e807f6ee692174
[New LWP 2076]
[Thread debugging using libthread_db enabled]
Core was generated by `/usr/bin/Xorg :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-Ko0ZP8/database -'.
Program terminated with signal 6, Aborted.
#0  0x0000003c9d8362c5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);

Thread 1 (Thread 0x7f38e91dc8a0 (LWP 2076)):
#0  0x0000003c9d8362c5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = 2076
        selftid = 2076
#1  0x0000003c9d837bdb in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7fff43673650, sa_sigaction = 0x7fff43673650}, sa_mask = {__val = {1, 8233952, 4592500, 0, 5815124, 1, 5815233, 8273104, 71525584, 140734324225840, 4592075, 64, 206158430216, 140734324225856, 140734324225664, 40650064}}, sa_flags = 8233728, sa_restorer = 0x40}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x000000000046466e in OsAbort () at utils.c:1252
No locals.
#3  0x000000000046129a in FatalError (f=0x58bb54 "%s: VT_WAITACTIVE failed: %s\n") at log.c:538
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff43673830, reg_save_area = 0x7fff43673760}}
        beenhere = 1
#4  0x0000000000516618 in switch_to (vt=1, from=0x58bbc1 "xf86CloseConsole") at lnx_init.c:69
No locals.
#5  0x0000000000516cee in xf86CloseConsole () at lnx_init.c:280
        VT = {mode = 0 '\000', waitv = 0 '\000', relsig = 10, acqsig = 10, frsig = 0}
#6  0x000000000046ff95 in ddxGiveUp () at xf86Init.c:909
        i = <optimized out>
#7  0x00000000004610dd in AbortServer () at log.c:410
No locals.
#8  0x00000000004612c7 in FatalError (f=0x577a10 "Caught signal %d (%s). Server aborting\n") at log.c:536
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff436739a0, reg_save_area = 0x7fff436738d0}}
        beenhere = 1
#9  0x00000000004620fe in OsSigHandler (sip=<optimized out>, signo=11, unused=<optimized out>) at osinit.c:153
No locals.
#10 OsSigHandler (signo=11, sip=<optimized out>, unused=<optimized out>) at osinit.c:115
No locals.
#11 <signal handler called>
No symbol table info available.
#12 0x00007f38e8b7c9cb in DrawableGone (glxPriv=0x44822f0, xid=12582913) at glxext.c:131
        c = <optimized out>
        next = <optimized out>
#13 0x000000000044c495 in FreeClientResources (client=0x44364d0) at resource.c:854
        rtype = <optimized out>
        resources = <optimized out>
        this = 0x447d3b0
        j = <optimized out>
#14 0x000000000042df6e in CloseDownClient (client=0x44364d0) at dispatch.c:3461
        really_close_down = <optimized out>
#15 0x000000000042e212 in ProcKillClient (client=0x48e2790) at dispatch.c:3261
        stuff = <optimized out>
        killclient = 0x44364d0
        rc = <optimized out>
#16 0x000000000042eab1 in Dispatch () at dispatch.c:431
        clientReady = 0x4478df0
        result = <optimized out>
        client = 0x48e2790
        nready = 0
        icheck = 0x7e2fb0
        start_tick = 80740
#17 0x0000000000422d3a in main (argc=<optimized out>, argv=0x7fff43674118, envp=<optimized out>) at main.c:287
        i = <optimized out>
        alwaysCheckForInput = {0, 1}
From                To                  Syms Read   Shared Object Library
0x0000003caf002cd0  0x0000003caf00a69c  Yes         /lib64/libudev.so.0.10.0
0x0000003caa05c880  0x0000003caa1219bc  Yes         /lib64/libcrypto.so.1.0.0d
0x0000003c9e400de0  0x0000003c9e40191c  Yes         /lib64/libdl-2.13.90.so
0x0000003c9f802130  0x0000003c9f80625c  Yes         /usr/lib64/libpciaccess.so.0.10.8
0x0000003c9dc05680  0x0000003c9dc10b5c  Yes         /lib64/libpthread-2.13.90.so
0x0000003ca5807e10  0x0000003ca585c0ac  Yes         /usr/lib64/libpixman-1.so.0.20.2
0x0000003ca1008f60  0x0000003ca102813c  Yes         /usr/lib64/libXfont.so.1.4.1
0x0000003c9f400dd0  0x0000003c9f401b2c  Yes         /usr/lib64/libXau.so.6.0.0
0x0000003ca8401210  0x0000003ca8402c2c  Yes         /usr/lib64/libXdmcp.so.6.0.0
0x0000003caf402550  0x0000003caf407c1c  Yes         /lib64/libaudit.so.1.0.0
0x0000003c9e003ef0  0x0000003c9e043eec  Yes         /lib64/libm-2.13.90.so
0x0000003c9ec02190  0x0000003c9ec055cc  Yes         /lib64/librt-2.13.90.so
0x0000003c9d81eb60  0x0000003c9d9426ec  Yes         /lib64/libc-2.13.90.so
0x0000003c9e802880  0x0000003c9e8120ac  Yes         /lib64/libgcc_s-4.6.0-20110321.so.1
0x0000003c9f001e70  0x0000003c9f00e67c  Yes         /lib64/libz.so.1.2.5
0x0000003c9d400b20  0x0000003c9d41954a  Yes         /lib64/ld-2.13.90.so
0x0000003ca380c960  0x0000003ca38738fc  Yes         /usr/lib64/libfreetype.so.6.6.2
0x0000003ca08015b0  0x0000003ca0803e6c  Yes         /usr/lib64/libfontenc.so.1.0.0
0x00007f38e8fbf210  0x00007f38e8fd473c  Yes         /usr/lib64/xorg/modules/extensions/libextmod.so
0x0000003ca0405700  0x0000003ca04159e8  Yes         /lib64/libselinux.so.1
0x00007f38e8db3040  0x00007f38e8db5c8c  Yes         /usr/lib64/xorg/modules/extensions/libdbe.so
0x00007f38e8b57960  0x00007f38e8b874bc  Yes         /usr/lib64/xorg/modules/extensions/libglx.so
0x00007f38e8943440  0x00007f38e894784c  Yes         /usr/lib64/xorg/modules/extensions/librecord.so
0x00007f38e8739f90  0x00007f38e873f67c  Yes         /usr/lib64/xorg/modules/extensions/libdri.so
0x0000003ca7002e20  0x0000003ca700752c  Yes         /usr/lib64/libdrm.so.2.4.0
0x00007f38e85334f0  0x00007f38e8535e7c  Yes         /usr/lib64/xorg/modules/extensions/libdri2.so
0x00007f38e82eba00  0x00007f38e831d8dc  Yes         /usr/lib64/xorg/modules/drivers/intel_drv.so
0x00007f38e80b08d0  0x00007f38e80b660c  Yes         /usr/lib64/libdrm_intel.so.1.0.0
0x00007f38e7eab120  0x00007f38e7eaddcc  Yes         /usr/lib64/xorg/modules/drivers/vesa_drv.so
0x00007f38e7ca60f0  0x00007f38e7ca7a5c  Yes         /usr/lib64/xorg/modules/drivers/fbdev_drv.so
0x00007f38e7aa14a0  0x00007f38e7aa2f4c  Yes         /usr/lib64/xorg/modules/libfbdevhw.so
0x00007f38e7883060  0x00007f38e789b85c  Yes         /usr/lib64/xorg/modules/libfb.so
0x00007f38e70d0500  0x00007f38e730630c  Yes         /usr/lib64/dri/i965_dri.so
0x0000003ca3003b70  0x0000003ca301d84c  Yes         /lib64/libexpat.so.1.5.2
0x0000003ca245a040  0x0000003ca24c2d5a  Yes         /usr/lib64/libstdc++.so.6.0.15
0x00007f38e5a9a750  0x00007f38e5a9f02c  Yes         /usr/lib64/xorg/modules/input/evdev_drv.so
0x00007f38e588cc30  0x00007f38e5894d9c  Yes         /usr/lib64/xorg/modules/input/synaptics_drv.so
0x00007f38e5658170  0x00007f38e565f5bc  Yes         /lib64/libnss_files-2.13.90.so
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0x58bb54	5815124
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x81c	2076
rdi            0x81c	2076
rbp            0x7fff43673730	0x7fff43673730
rsp            0x7fff436735f8	0x7fff436735f8
r8             0x0	0
r9             0x7f38e91dc8a0	139882405939360
r10            0x8	8
r11            0x3202	12802
r12            0x1	1
r13            0x58bbc1	5815233
r14            0x7e3cd0	8273104
r15            0x44364d0	71525584
rip            0x3c9d8362c5	0x3c9d8362c5 <raise+53>
eflags         0x3202	[ IF #12 #13 ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function raise:
   0x0000003c9d836290 <+0>:	mov    %fs:0x2d4,%eax
   0x0000003c9d836298 <+8>:	mov    %fs:0x2d0,%esi
   0x0000003c9d8362a0 <+16>:	test   %esi,%esi
   0x0000003c9d8362a2 <+18>:	jne    0x3c9d8362d0 <raise+64>
   0x0000003c9d8362a4 <+20>:	mov    $0xba,%eax
   0x0000003c9d8362a9 <+25>:	syscall 
   0x0000003c9d8362ab <+27>:	mov    %eax,%esi
   0x0000003c9d8362ad <+29>:	mov    %eax,%fs:0x2d0
   0x0000003c9d8362b5 <+37>:	movslq %edi,%rdx
   0x0000003c9d8362b8 <+40>:	movslq %esi,%rsi
   0x0000003c9d8362bb <+43>:	movslq %eax,%rdi
   0x0000003c9d8362be <+46>:	mov    $0xea,%eax
   0x0000003c9d8362c3 <+51>:	syscall 
=> 0x0000003c9d8362c5 <+53>:	cmp    $0xfffffffffffff000,%rax
   0x0000003c9d8362cb <+59>:	ja     0x3c9d8362df <raise+79>
   0x0000003c9d8362cd <+61>:	repz retq 
   0x0000003c9d8362cf <+63>:	nop
   0x0000003c9d8362d0 <+64>:	test   %eax,%eax
   0x0000003c9d8362d2 <+66>:	jg     0x3c9d8362b5 <raise+37>
   0x0000003c9d8362d4 <+68>:	test   $0x7fffffff,%eax
   0x0000003c9d8362d9 <+73>:	je     0x3c9d8362f0 <raise+96>
   0x0000003c9d8362db <+75>:	neg    %eax
   0x0000003c9d8362dd <+77>:	jmp    0x3c9d8362b5 <raise+37>
   0x0000003c9d8362df <+79>:	mov    0x35fcba(%rip),%rdx        # 0x3c9db95fa0
   0x0000003c9d8362e6 <+86>:	neg    %eax
   0x0000003c9d8362e8 <+88>:	mov    %eax,%fs:(%rdx)
   0x0000003c9d8362eb <+91>:	or     $0xffffffffffffffff,%rax
   0x0000003c9d8362ef <+95>:	retq   
   0x0000003c9d8362f0 <+96>:	mov    %esi,%eax
   0x0000003c9d8362f2 <+98>:	jmp    0x3c9d8362b5 <raise+37>
End of assembler dump.

description
-----
Xorg X server

X.org X11 is an open source implementation of the X Window System.  It
provides the basic low level functionality which full fledged
graphical user interfaces (GUIs) such as GNOME and KDE are designed
upon.

Comment 2 Fedora Update System 2011-04-18 18:06:22 UTC
xorg-x11-server-1.10.1-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-7.fc15

Comment 3 Fedora Update System 2011-04-20 02:42:50 UTC
Package xorg-x11-server-1.10.1-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.10.1-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-7.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-04-21 08:06:25 UTC
xorg-x11-server-1.10.1-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-10.fc15

Comment 5 Fedora Update System 2011-05-05 17:25:52 UTC
xorg-x11-server-1.10.1-14.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-14.fc15

Comment 6 Fedora Update System 2011-05-06 02:48:30 UTC
xorg-x11-server-1.10.1-14.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.